
public class Gen11 {

	public static void main(String[] args) {
		System.out.println("1000");
		for(long i = Long.parseLong("1000000000000000000"); i >= Long.parseLong("1000000000000000000") - 999; --i) {
			System.out.println(i + " 63");
		}
	}
} 